function C=binaryop_Cpt(A,B,fun)
% function C=binaryop(A,B,fun)
%   element by element generic function
%   fun is either @times, @plus, @minus, @power, @rdivide or @ldivide
  C=fc_linalg3D.ebye.binaryop_init(A,B,fun); % 
  if ~isempty(C), return;end
  [getA,getB,N,dimA,dimB]=fc_linalg3D.getCpts(A,B);
  m=max(dimA(2),dimB(2));n=max(dimA(3),dimB(3));
  C=zeros(N,m,n);
  for k=1:N
    for i=1:m
      for j=1:n
        C(k,i,j)=fun(getA(A,k,i,j),getB(B,k,i,j));
      end
    end
  end
end
