function [p,L,U]=pLU_Ref(A)
% permuted LU factorization for 3D-array
%   P*A=L*U
  assert( fc_linalg3D.is3Darray(A) )
  [N,m,n]=size(A);
  assert( m==n )
  L=zeros(N,m,m);U=zeros(N,m,m);p=zeros(N,m);
  for k=1:N
    [L(k,:,:),U(k,:,:),p(k,:)]=lu(squeeze(A(k,:,:)),'vector');
  end
  if nargout==1, p={p,L,U};end
end
