rand_N=@() randi([10^3 10^5]);
rand_d=@() [randi(6)+1,randi(6)+1];
setfun=@(varargin) fc_linalg3D.benchs.set_aXpbY(varargin{:});

Lfun={@times,@minus,@plus,@power,@ldivide,@rdivide} ;

getSize=@(Y) strtrim(sprintf('%d ',size(Y)));
TypesArray=fc_linalg3D.getTypesArray();
Error=@(o) max(abs(o(:))) ;
verbose=false;

for i=1:length(Lfun)
  fun=Lfun{i};
  fprintf('[fc_linalg3D] functions fc_linalg3D.ebye.binaryop_*(X,Y,%s)\n',func2str(fun))
  N=rand_N();
  d=rand_d();

  for type=TypesArray
    [Out,~]=setfun(N,verbose,'d',d,'ltype','array3d','rtype',type{1});
    a=Out{1};X=Out{2};b=Out{3};Y=Out{4};
    C=fc_linalg3D.ebye.binaryop_Vec(X,Y,fun);
    D=fc_linalg3D.ebye.binaryop_Nat(X,Y,fun);
    E=Error(D-C);
    fprintf('  Error %4.e with X [%s] and Y [%s]\n',Error(E),getSize(X),getSize(Y));
    %assert( E< 1e-12)
  end

  for type=TypesArray
    [Out,~]=setfun(N,verbose,'d',d,'rtype','array3d','ltype',type{1});
    a=Out{1};X=Out{2};b=Out{3};Y=Out{4};
    C=fc_linalg3D.ebye.binaryop_Vec(X,Y,fun);
    D=fc_linalg3D.ebye.binaryop_Nat(X,Y,fun);
    E=Error(D-C);
    fprintf('  Error %4.e with X [%s] and Y [%s]\n',Error(E),getSize(X),getSize(Y));
    %assert( E< 1e-12)
  end
end
