function [dimA,dimB]=getDimensions(A,B)
  
  isA3D=fc_linalg3D.is3Darray(A);
  isB3D=fc_linalg3D.is3Darray(B);
  assert( isA3D || isB3D , 'One of the parameters must be an 3D-array')
  dimA=size(A);dimB=size(B);
  if isA3D && isB3D, return;end
  if isA3D % and not isB3D
    N=dimA(1);
    if dimB(1)==N, dimB(3)=1;return;end
    dimB=[1,dimB];
    return
  end
  % not isA3D % and  isB3D
  N=dimB(1);
  if dimA(1)==N, dimA(3)=1;return;end
  dimA=[1,dimA];
end
